Bug 1245242 (CVE-2015-5590) - CVE-2015-5590 php: buffer overflow and stack smashing error in phar_fix_filepath
Summary: CVE-2015-5590 php: buffer overflow and stack smashing error in phar_fix_filepath
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-5590
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150705,repor...
Depends On: 1245245 1305850 1305851
Blocks: 1245244 1306180
TreeView+ depends on / blocked
 
Reported: 2015-07-21 14:32 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:40 UTC (History)
9 users (show)

Fixed In Version: php 5.6.11, php 5.5.27, php 5.4.43
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash or, possibly, execute arbitrary code when opened.
Clone Of:
Environment:
Last Closed: 2015-08-18 06:24:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0457 normal SHIPPED_LIVE Moderate: rh-php56-php security update 2016-03-16 00:55:18 UTC

Description Vasyl Kaigorodov 2015-07-21 14:32:01 UTC
PHP versions before 5.5.27 and 5.4.43 contain buffer overflow issue.

CVE assignment: http://seclists.org/oss-sec/2015/q3/147
Upstream bug: https://bugs.php.net/bug.php?id=69923
Upstream commit: http://git.php.net/?p=php-src.git;a=commit;h=6dedeb40db13971af45276f80b5375030aa7e76f

Comment 1 Vasyl Kaigorodov 2015-07-21 14:35:18 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1245245]

Comment 2 Fedora Update System 2015-07-29 01:58:07 UTC
php-5.6.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Huzaifa S. Sidhpurwala 2015-08-18 06:19:53 UTC
This issue was fixed in php-5.6.11, php-5.5.27 and php-5.4.43 as per the changelog at:

http://php.net/ChangeLog-5.php

Comment 6 errata-xmlrpc 2016-03-15 20:56:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0457 https://rhn.redhat.com/errata/RHSA-2016-0457.html


Note You need to log in before you can comment on or make changes to this bug.